Interlaken
API referenceNetworkingVpn gateways

List VPN gateways

GET
/api/v1/vpn-gateways

Requires the vpn_gateways:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/vpn-gateways"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "protocol": "string",      "public_ips": [        "string"      ],      "status": "string",      "status_reason": "string",      "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",      "tags": {        "property1": "string",        "property2": "string"      },      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "updated_at": "2019-08-24T14:15:22Z",      "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"    }  ],  "total": 0}